package com.pj.current.netty.command.config;

import io.netty.channel.ChannelInitializer;
import io.netty.channel.FixedRecvByteBufAllocator;
import io.netty.channel.socket.SocketChannel;
import io.netty.handler.codec.string.StringDecoder;
import io.netty.handler.codec.string.StringEncoder;
import io.netty.util.CharsetUtil;

import java.nio.charset.Charset;

public class CommandChannelInitializer extends ChannelInitializer<SocketChannel> {
    @Override
    protected void initChannel(SocketChannel channel) throws Exception {
        channel.config().setRecvByteBufAllocator(new FixedRecvByteBufAllocator(2056));
        channel.pipeline().addLast("decoder",new StringDecoder(Charset.forName("GBK")));
        channel.pipeline().addLast("encoder",new StringEncoder(Charset.forName("GBK")));
        channel.pipeline().addLast(new CommandNettyServerHandler());
    }

}
