package com.pj.current.netty.command.factory;


import com.pj.current.global.BusinessException;
import com.pj.current.netty.command.handler.IHandler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CommandFactory {
    @Autowired
    private List<IHandler>handlers;

    public IHandler handler(String funcId){
       return handlers.stream().filter(h->h.commandType().getFuncId().equals(funcId))
                .findAny().orElseThrow(()->new BusinessException("不支持交互"));
    }

}
