package com.pj.current.netty.command.handler.impl;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.pj.current.netty.command.constants.CommandType;
import com.pj.current.netty.command.handler.IHandler;
import com.pj.current.netty.command.handler.dto.BlackPersonDTO;
import com.pj.current.netty.command.handler.dto.WhitelistDTO;
import com.pj.current.netty.dto.OKMsg;
import com.pj.current.netty.dto.RequestPackageDTO;
import com.pj.project.tb_person_black.TbPersonBlack;
import com.pj.project.tb_person_black.TbPersonBlackService;
import com.pj.project.tb_person_filing.TbPersonFiling;
import com.pj.project.tb_terminal.TbTerminal;
import com.pj.project.tb_terminal.TbTerminalService;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 白名单上传
 */
@Service
@Slf4j
public class BlacklistHandler implements IHandler {
    @Resource
    private TbTerminalService tbTerminalService;

    @Resource
    private TbPersonBlackService tbPersonBlackService;

    @Override
    public CommandType commandType() {
        return CommandType.UPLOAD_BLACKLIST;
    }

    @Override
    public void handler(ChannelHandlerContext ctx, RequestPackageDTO packageDTO) {
        log.info("========黑名单上传===========");
        JSONObject params = JSONUtil.parseObj(packageDTO.getPayload().getParams());
        String sn = params.getStr("sn");
        TbTerminal tbTerminal = tbTerminalService.findBySN(sn);
        if (tbTerminal == null || tbTerminal.getDeptId() == null) {
            log.error("设备未绑定=========:{}", sn);
            return;
        }
        ctx.write(OKMsg.ok());
        ctx.flush();
        BlackPersonDTO uploadUserDTO = JSONUtil.toBean(params.getStr("users"), BlackPersonDTO.class);
        Long deptId = tbTerminal.getDeptId();
        TbPersonBlack tbPersonBlack = tbPersonBlackService.findByIdCardAndDeptId(uploadUserDTO.getIdentity_number(),deptId);

    }
}
