package com.pj.project.tb_car_visit_record;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_car_visit_record -- 车辆出入记录
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbCarVisitRecord.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCarVisitRecord extends Model<TbCarVisitRecord> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_car_visit_record";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-car-visit-record";	
	public static final String PERMISSION_CODE_ADD = "tb-car-visit-record-add";
	public static final String PERMISSION_CODE_EDIT = "tb-car-visit-record-edit";
	public static final String PERMISSION_CODE_DEL = "tb-car-visit-record-del";
	public static final String PERMISSION_CODE_EXPORT = "tb-car-visit-record-export";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 通道 
	 */
	private Long channelId;
	private Long deptId;
	private String deptName;
	private String channel;

	/**
	 * 车牌 
	 */
	private String carNo;	

	/**
	 * 通过时间 
	 */
	private String visitTime;	

	/**
	 * 方向(1=入,2=出) 
	 */
	private Integer direction;	

	/**
	 * 图片 
	 */
	private String image;	

	/**
	 * 类型(1=临时,2=内部) 
	 */
	private Integer type=1;

	/**
	 * 联系人 
	 */
	private String driverName;	

	/**
	 * 联系电话 
	 */
	private String driverContact;	

	/**
	 * 联系人身份证 
	 */
	private String driverIdCard;	

	/**
	 * 方式(1=手动,2=自动) 
	 */
	private Integer recordType=1;

	private Date createTime;
	private Date updateTime;

	@TableField(exist = false)
	private String typeStr;
	@TableField(exist = false)
	private String directionStr;


	public String getTypeStr() {
		return recordType == 1 ? "补录" : "设备上传";
	}

	public String getDirectionStr() {
		return direction == 1 ? "入场" : "离场";
	}


}
