package com.pj.project.tb_command_log.task;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.pj.project.tb_command_log.TbCommandLog;
import com.pj.project.tb_command_log.TbCommandLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class ClearTask {
    @Resource
    private TbCommandLogService tbCommandLogService;

    /**
     * 凌晨开始删除前一天的下发日志
     */
    @Scheduled(cron = "5 0 0 * * ?")
    @Async
    public void clear() {
        tbCommandLogService.remove(new QueryWrapper<>());
    }
}
