package com.pj.project.tb_dept;

import java.util.Date;
import java.util.List;

import cn.dev33.satoken.stp.StpUtil;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.current.global.BusinessException;
import com.pj.project.tb_terminal.TbTerminal;
import com.pj.project.tb_terminal.TbTerminalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

import javax.annotation.Resource;

/**
 * Service: tb_dept -- 组织管理
 *
 * @author qzyReal
 */
@Service
public class TbDeptService extends ServiceImpl<TbDeptMapper, TbDept> implements IService<TbDept> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    TbDeptMapper tbDeptMapper;
    @Resource
    private TbTerminalService tbTerminalService;


    /**
     * 增
     */
    void add(TbDept t) {
        Date now = new Date();
        t.setCreateTime(now).setUpdateTime(now)
                .setCreateBy(StpUtil.getLoginIdAsString())
                .setUpdateBy(StpUtil.getLoginIdAsString());
        this.save(t);
    }

    /**
     * 删
     */
    void delete(Long id) {
        TbDept db=super.getById(id);
        if (db.getPeopleNum()>0){
            throw new BusinessException("部门有用户数据，不能删除");
        }
        SoMap soMap = new SoMap();
        soMap.put("deptId", id);
        List<TbTerminal> tbTerminals = tbTerminalService.getList(soMap);
        if (!tbTerminals.isEmpty()) {
            throw new BusinessException("部门存在设备，不能删除");
        }
        this.removeById(id);
    }

    /**
     * 改
     */
    void update(TbDept t) {
        this.updateById(t);
    }

    /**
     * 查
     */
    TbDept getById(Long id) {
        return super.getById(id);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    List<TbDept> getList(SoMap so) {
        return tbDeptMapper.getList(so);
    }


}
