package com.pj.project.tb_manager;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.pj.utils.sg.*;

/**
 * 工具类：tb_manager -- 防疫人员
 * @author qzyReal 
 *
 */
@Component
public class TbManagerUtil {

	
	/** 底层 Mapper 对象 */
	public static TbManagerMapper tbManagerMapper;
	@Autowired
	private void setTbManagerMapper(TbManagerMapper tbManagerMapper) {
		TbManagerUtil.tbManagerMapper = tbManagerMapper;
	}
	
	
	/** 
	 * 将一个 TbManager 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G] 
	 */
	static void check(TbManager t) {
		AjaxError.throwByIsNull(t.getId(), "[主键] 不能为空");		// 验证: 主键 
		AjaxError.throwByIsNull(t.getName(), "[姓名] 不能为空");		// 验证: 姓名 
		AjaxError.throwByIsNull(t.getPhone(), "[联系号码] 不能为空");		// 验证: 联系号码 
		AjaxError.throwByIsNull(t.getDeptId(), "[部门ID] 不能为空");		// 验证: 部门ID 
		AjaxError.throwByIsNull(t.getPosition(), "[职能] 不能为空");		// 验证: 职能 
		AjaxError.throwByIsNull(t.getVenuesId(), "[场所ID] 不能为空");		// 验证: 场所ID 
		AjaxError.throwByIsNull(t.getVenuesName(), "[值班地点] 不能为空");		// 验证: 值班地点 
		AjaxError.throwByIsNull(t.getWorkStartTime(), "[值班开始时间] 不能为空");		// 验证: 值班开始时间 
		AjaxError.throwByIsNull(t.getWorkEndTime(), "[值班结束时间] 不能为空");		// 验证: 值班结束时间 
		AjaxError.throwByIsNull(t.getRemark(), "[备注] 不能为空");		// 验证: 备注 
		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间 
		AjaxError.throwByIsNull(t.getCreateBy(), "[创建人] 不能为空");		// 验证: 创建人 
		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间 
		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新人] 不能为空");		// 验证: 更新人 
	}

	/** 
	 * 获取一个TbManager (方便复制代码用) [G] 
	 */ 
	static TbManager getTbManager() {
		TbManager t = new TbManager();	// 声明对象 
		t.setId(0L);		// 主键 
		t.setName("");		// 姓名 
		t.setPhone("");		// 联系号码 
		t.setDeptId(0L);		// 部门ID 
		t.setPosition("");		// 职能 
		t.setVenuesId(0L);		// 场所ID 
		t.setVenuesName("");		// 值班地点 
		t.setWorkStartTime("");		// 值班开始时间 
		t.setWorkEndTime("");		// 值班结束时间 
		t.setRemark("");		// 备注 
		t.setCreateTime("");		// 创建时间 
		t.setCreateBy("");		// 创建人 
		t.setUpdateTime("");		// 更新时间 
		t.setUpdateBy("");		// 更新人 
		return t;
	}
	
	
	
	
	
}
