package com.pj.project.tb_person_filing.task;

import cn.hutool.core.codec.Base64;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.spring.SpringUtil;
import com.pj.current.config.SystemObject;
import com.pj.current.task.Task;
import com.pj.project.tb_person_filing.TbPersonFiling;
import com.pj.project.tb_person_filing.TbPersonFilingService;
import com.pj.project4sp.uploadfile.UploadConfig;
import com.pj.utils.ImageUtils;
import lombok.extern.slf4j.Slf4j;

import java.io.File;

@Slf4j
public class Base64ToImage extends Task {

    private String base64;
    private Integer personId;

    public Base64ToImage(String id, long delayInMilliseconds, Integer personId, String base64) {
        super(id, delayInMilliseconds);
        this.base64 = base64;
        this.personId = personId;
    }

    @Override
    public void run() {
        if (StrUtil.isEmpty(base64)) {
            log.info("人员信息无图片,{}", personId);
            return;
        }
        UploadConfig uploadConfig = SpringUtil.getBean(UploadConfig.class);
        TbPersonFilingService tbPersonFilingService = SpringUtil.getBean(TbPersonFilingService.class);
        TbPersonFiling tbPersonFiling = tbPersonFilingService.getById(personId);
        String flieTypeFolder = "/image/";
        String currDateFolder = DateUtil.today();
        String fileName = RandomUtil.randomString(16) + ".jpg";
        String imgFilePath = new File(uploadConfig.rootFolder).getAbsolutePath() +
                uploadConfig.httpPrefix + flieTypeFolder + currDateFolder + "/";
        if (!FileUtil.exist(imgFilePath)) {
            FileUtil.mkdir(imgFilePath);
        }
        // 对外暴露的http路径
        String httpUrl = SystemObject.config.getDomain() + uploadConfig.httpPrefix + flieTypeFolder + currDateFolder + "/" + fileName;
       // ImageUtils.generateImage(base64, imgFilePath + fileName);
        Base64.decodeToFile(base64,new File(imgFilePath + fileName));
        tbPersonFiling.setPhoto(httpUrl);
        tbPersonFilingService.updateById(tbPersonFiling);
    }
}
