package com.pj.project.tb_person_visit_record.task;


import cn.hutool.core.codec.Base64;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.spring.SpringUtil;
import com.pj.current.config.SystemObject;
import com.pj.current.task.Task;
import com.pj.project.tb_person_filing.TbPersonFiling;
import com.pj.project.tb_person_filing.TbPersonFilingService;
import com.pj.project.tb_person_visit_record.TbPersonVisitRecord;
import com.pj.project.tb_person_visit_record.TbPersonVisitRecordService;
import com.pj.project4sp.uploadfile.UploadConfig;
import lombok.extern.slf4j.Slf4j;

import java.io.File;

@Slf4j
public class ConvertBase64ToImage extends Task {

    private Long recordId;
    private String base64;

    public ConvertBase64ToImage(String id, long delayInMilliseconds, Long recordId, String base64) {
        super(id, delayInMilliseconds);
        this.recordId = recordId;
        this.base64 = base64;
    }


    @Override
    public void run() {
        if (StrUtil.isEmpty(base64)) {
            log.info("核验记录无图片,{}", recordId);
            return;
        }
        UploadConfig uploadConfig = SpringUtil.getBean(UploadConfig.class);
        TbPersonVisitRecordService tbPersonVisitRecordService = SpringUtil.getBean(TbPersonVisitRecordService.class);
        TbPersonVisitRecord record = tbPersonVisitRecordService.getById(recordId);
        String flieTypeFolder = "/image/";
        String currDateFolder = DateUtil.today();
        String fileName = RandomUtil.randomString(16) + ".jpg";
        String imgFilePath = new File(uploadConfig.rootFolder).getAbsolutePath() +
                uploadConfig.httpPrefix + flieTypeFolder + currDateFolder + "/";
        if (!FileUtil.exist(imgFilePath)) {
            FileUtil.mkdir(imgFilePath);
        }
        // 对外暴露的http路径
        String httpUrl = SystemObject.config.getDomain() + uploadConfig.httpPrefix + flieTypeFolder + currDateFolder + "/" + fileName;
        Base64.decodeToFile(base64,new File(imgFilePath + fileName));
        record.setPicture(httpUrl);
        tbPersonVisitRecordService.updateById(record);

    }
}
