package com.pj.project.tb_terminal;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * Model: tb_terminal -- 设备管理
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbTerminal.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbTerminal extends Model<TbTerminal> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_terminal";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-terminal";	
	public static final String PERMISSION_CODE_UNBIND = "tb-terminal-unbind";
	public static final String PERMISSION_CODE_EDIT = "tb-terminal-edit";
	public static final String PERMISSION_CODE_DEL = "tb-terminal-del";
	public static final String PERMISSION_CODE_REBOOT = "tb-terminal-reboot";
	public static final String PERMISSION_CODE_CLEAR = "tb-terminal-clear";
	public static final String PERMISSION_CODE_OPEN= "tb-terminal-open";
	public static final String PERMISSION_CODE_SYNC_TIME= "tb-terminal-sync-time";


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 部门ID 
	 */
	private Long deptId;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * IP地址 
	 */
	private String ipAddress;	

	/**
	 * 状态(0=离线,1=正常 no-add no-s) 
	 */
	private String state;	

	/**
	 * 序列号 
	 */
	private String sn;	

	/**
	 * 场所ID 
	 */
	private Long venuesId;	

	/**
	 * 场所名称 
	 */
	private String venuesName;	

	/**
	 * 通道ID 
	 */
	private Long channelId;	

	/**
	 * 通道名称 
	 */
	private String channelName;	

	/**
	 * 最近一次上线 
	 */
	private String lastOnLine;	

	/**
	 * 备注 
	 */
	private String remark;	

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建人 
	 */
	private String createBy;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 更新人 
	 */
	private String updateBy;
	/**
	 * 人数
	 */
	private Long personNum;


	@TableField(exist = false)
	private String deptName;



	@Getter
	@AllArgsConstructor
	public static enum StateType{
		ONLINE("在线"),
		OFFLINE("离线");
		private String state;


	}

	


}
