package com.pj.project.tb_venues;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_venues -- 场所管理
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbVenues.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbVenues extends Model<TbVenues> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_venues";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-venues";	
	public static final String PERMISSION_CODE_ADD = "tb-venues-add";
	public static final String PERMISSION_CODE_EDIT = "tb-venues-edit";
	public static final String PERMISSION_CODE_DEL = "tb-venues-del";


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 部门ID 
	 */
	private Long deptId;	

	/**
	 * 部门 
	 */
	private String deptName;	

	/**
	 * 父ID 
	 */
	private Long pId;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建人 
	 */
	private String createBy;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 更新人 
	 */
	private String updateBy;	





	


}
